import './Popover.styles_1i4u5as.css';
import { styled } from '@linaria/react';
import { component, mergeConfig } from '../../../../engines/common.js';
import { popoverConfig } from '../../../Popover/Popover.js';

var mergedPopoverConfig = /*#__PURE__*/mergeConfig(popoverConfig);
var Popover = /*#__PURE__*/component(mergedPopoverConfig);
var _exp = function _exp() {
  return Popover;
};
var _exp8 = function _exp8() {
  return function (_ref) {
    var innerWidth = _ref.innerWidth;
    return innerWidth || 'fit-content';
  };
};
var _exp9 = function _exp9() {
  return function (_ref2) {
    var innerHeight = _ref2.innerHeight;
    return innerHeight || 'fit-content';
  };
};
var StyledPopover = /*#__PURE__*/styled(_exp())({
  name: "StyledPopover",
  "class": "s1rr3zsl",
  propsAsIs: true,
  vars: {
    "s1rr3zsl-0": [/*#__PURE__*/_exp8()],
    "s1rr3zsl-1": [/*#__PURE__*/_exp9()]
  }
});
var StyledSeparator = /*#__PURE__*/styled('div')({
  name: "StyledSeparator",
  "class": "s13gqt11",
  propsAsIs: false
});

export { StyledPopover, StyledSeparator };
